Last updated

API / geotoolkit / map / sources / loaders / Stream / Stream

Class: Stream

loaders.Stream.Stream

Stream source loader that loads settings from ArcGIS Stream server

Hierarchy

Table of contents

Constructors
Methods

Contents

Constructors

new Stream(options)

new Stream(options?)

Parameters

Name Type
Optional optionsOptions

Inherited from

ArcGISFeature.constructor

Methods

clone

clone(): AbstractLoader

All subclasses should override copyConstructor or provide custom implementation for this method

Returns

AbstractLoader

clone

Inherited from

ArcGISFeature.clone


cloneQueryParameters

cloneQueryParameters(loader): Stream

Copies query parameters from another loader

Parameters

Name Type Description
loaderAbstractLoaderloader to clone parameters

Returns

Stream

this

Inherited from

ArcGISFeature.cloneQueryParameters


copyConstructor

Protected copyConstructor(src, deepCopy?): Stream

Copy constructor function.
Function used as part of the cloning mechanism.
Implementations should copy the given instance state to this instance.

Parameters

Name Type Description
srcAbstractLoaderSource to copy from
Optional deepCopybooleandeep copy

Returns

Stream

this

Inherited from

ArcGISFeature.copyConstructor


getClassName

getClassName(): string

Returns

string

Inherited from

ArcGISFeature.getClassName


getConnector

getConnector(): AbstractConnector<any>

Returns connector

Returns

AbstractConnector<any>

Inherited from

ArcGISFeature.getConnector


getCopyright

getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

ArcGISFeature.getCopyright


getRequestOptions

Protected getRequestOptions(): SendOptions

Returns server settings request options

Returns

SendOptions

Inherited from

ArcGISFeature.getRequestOptions


getSettingsUrl

getSettingsUrl(): string

Returns server settings request url

Returns

string

request server data request

Inherited from

ArcGISFeature.getSettingsUrl


loaded

Protected loaded(callback): void

Resolves loading promise asynchronically

Parameters

Name Type Description
callback(loader: AbstractLoader) => voidresolving callback

Returns

void

Inherited from

ArcGISFeature.loaded


parse

parse(data, onload): void

Parses server data response

Parameters

Name Type Description
datastring | JSONObjectdata received from the server
onload(loader: AbstractLoader) => voidfunction to be called when data is loaded

Returns

void

Inherited from

ArcGISFeature.parse


setQueryParameter

setQueryParameter(param, value): Stream

Sets the query parameter to add to the server settings request

Parameters

Name Type Description
paramstringparameter name
valuestring | number | booleanparameter value

Returns

Stream

this

Inherited from

ArcGISFeature.setQueryParameter


getClassName

Static getClassName(): string

Returns

string

Inherited from

ArcGISFeature.getClassName